function f = gravfld(itarg,xx,yy,zz,mxx,myy,mzz,rho0,rho1)
g=0.067;
delrho=rho1-rho0;
if itarg == 0
xc=[];
yc=[];
zc=[];
xc(1)=xx-mxx;
xc(2)=xx+mxx;
yc(1)=yy-myy;
yc(2)=yy+myy;
zc(1)=zz-mzz;
zc(2)=zz+mzz;
f=0;
for ix=1:2
xxx=xc(ix);
 for iy=1:2
 yyy=yc(iy);
  for iz=1:2
  zzz=zc(iz);
  r2=xxx^2+yyy^2+zzz^2;
  r=sqrt(r2);
  ixyzm1=ix+iy+iz-1;
  f1=xxx*log((yyy+r)/sqrt(xxx^2+zzz^2)); 
  f2=yyy*log((xxx+r)/sqrt(yyy^2+zzz^2));
  f3=zzz*atan2(zzz*r,xxx*yyy);
  f=f+((-1)^ixyzm1)*(f1+f2+f3);
  end
 end
end
f=f*g*delrho;
else
   r2=xx*xx+yy*yy+zz*zz;
   r=sqrt(r2);
rr3=mxx*mxx*mxx;
f=g*delrho*4*pi*rr3*zz/(3*r2*r);
end


