newplot;
istart_plot=1;
if idepth_filter == 1
   z=delb;
else
   depthfilter;
   z=delb1;
end
for i=1:nx
   xx(i)=delx*(i-1);
end
for j=1:ny
   yy(j)=dely*(j-1);
end
xl='Distance East (m)';
yl='Distance North (m)';
ttl='Gravity Anomaly (microGal)';
if iplot_type == 0
   colmap='jet';
   concol='k';
end
if iplot_type == 1
	colmap='gray';
   concol='w';
end
if iplot_type < 2
	hold off
	p1=pcolor(xx,yy,z),axis('xy');
	colormap(colmap);
	set(p1,'edgecolor','none');
	colorbar;
	if iplot_con == 0
   	hold on;
		contour(xx,yy,z,20,concol);
	end
	xlabel(xl);
	ylabel(yl);
   title(ttl);
else
   EditHandle_vazm = findobj('Tag','vazm');
   svazm=get(EditHandle_vazm,'string');
	vazm=sscanf(svazm,'%f');
	EditHandle_viewel = findobj('Tag','viewel');
	svel=get(EditHandle_viewel,'string');
	vel=sscanf(svel,'%f');
	EditHandle_laz = findobj('Tag','laz');
	slaz=get(EditHandle_laz,'string');
	laz=sscanf(slaz,'%f');
	EditHandle_lelv = findobj('Tag','lelv');
	slelv=get(EditHandle_lelv,'string');
   lelv=sscanf(slelv,'%f');
   colmap='gray';
   h=surfl(xx,yy,z,[laz,lelv]),axis('xy');
   colormap(colmap);
   set(h,'edgecolor','none');
   view(vazm,vel);
   xlabel(xl);
   ylabel(yl);
   zlabel(ttl);
end
