EditHandle_xl1 = findobj('Tag','gravxl');
xl = get(EditHandle_xl1,'string');
xl=sscanf(xl,'%f');
EditHandle_yl = findobj('Tag','gravyl');
yl = get(EditHandle_yl,'string');
yl=sscanf(yl,'%f');
EditHandle_mx0 = findobj('Tag','gravx0');
x0 = get(EditHandle_mx0,'string');
x0=sscanf(x0,'%f');
EditHandle_my0 = findobj('Tag','gravy0');
y0 = get(EditHandle_my0,'string');
y0=sscanf(y0,'%f');
EditHandle_mz0 = findobj('Tag','gravz0');
z0 = get(EditHandle_mz0,'string');
z0=sscanf(z0,'%f');
EditHandle_nx = findobj('Tag','gravnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f');
EditHandle_ny = findobj('Tag','gravny');
ny = get(EditHandle_ny,'string');
ny=sscanf(ny,'%f');
delx=xl/(nx-1);
dely=yl/(ny-1);


if itarg == 0
   EditHandle_mx = findobj('Tag','gravax');
	mx = get(EditHandle_mx,'string');
	mx=sscanf(mx,'%f')/2.;
	EditHandle_my = findobj('Tag','gravay');
	my = get(EditHandle_my,'string');
	my=sscanf(my,'%f')/2.;
EditHandle_mz = findobj('Tag','gravaz');
	mz = get(EditHandle_mz,'string');
	mz=sscanf(mz,'%f')/2.;
else
   EditHandle_r = findobj('Tag','gravar');
	r = get(EditHandle_r,'string');
	r=sscanf(r,'%f');
end
	EditHandle_rho0 = findobj('Tag','gravrho0');
	rho0 = get(EditHandle_rho0,'string');
   rho0=sscanf(rho0,'%f');
   EditHandle_rho = findobj('Tag','gravrho');
	rho1 = get(EditHandle_rho,'string');
	rho1=sscanf(rho1,'%f');
EditHandle_file = findobj('Tag','gravfile');
filenmm = get(EditHandle_file,'string');
	
scale=1;

x=[];
y=[];
delb=[];
for i=1:nx
x(i)=delx*(i-1);
end
for j=1:ny
y(j)=dely*(j-1);
end
z=abs(z0)*scale;
for i=1:nx
xi=(x(i)-x0)*scale;
 for j=1:ny
 yj=(y(j)-y0)*scale;
 if itarg == 0
 delb(j,i)=gravfld(0,xi,yj,z,mx,my,mz,rho0,rho1);
 end
 if itarg == 1
 delb(j,i)=gravfld(1,xi,yj,z,r,0,0,rho0,rho1);
 end
 
 end
end
pcolor(x,y,delb),axis('xy')
colormap(jet)
colorbar
hold on
contour(x,y,delb,20,'k')
hold off

imag=-2;
fid=fopen(filenmm,'w');
fprintf(fid,'%3.f %3.f %3.f %6.2f %6.2f\n', imag,nx,ny,delx,dely)
for i=1:nx
 for j=1:ny
 delbb=delb(j,i);
 fprintf(fid,'%8.3e\n',delbb);
 end
end
