if istart_hf0 == 1
   delete(hf0)
end
if istart_hf1 == 1
   delete(hf1)
end
if istart_hf2 == 1
   delete(hf2)
end
istart_hf0=0;
istart_hf1=0;
istart_hf2=0;
istart_hf0=1;
clear str1 str2
str1(1)={'         {\bfGRAVITY SIMULATIONS}'};
str1(2)={'   '};
str1(3)={'  The change in the vertical component of the gravitational'};
str1(4)={'acceleration {\itg_z} associated with a buried object having a'};
str1(5)={'density difference \Delta\rho with respect to its surrounding is'};
str1(6)={'simulated over a horizontal plane (presumably the ground'};
str1(7)={'surface) for two target shapes. These are:'};
str1(8)={'\bullet sphere'};
str1(9)={'\bullet brick (rectangular solid).'};
str1(10)={' For a sphere of radius {\ita} with its center located at a depth {\itz}'};
str1(11)={'and a distance {\itr} away from the measurement point'};
str1(12)={'   '};
str1(13)={'{\itg_z} = (4\pi{\ita}^3 G {\itz} \Delta\rho)/(3{\itr}^{ 3});'}; 
str1(14)={'  '}; 
str1(15)={'where G is the {\ituniversal gravitation constant}.'}; 
str1(16)={'   A brick is characterized by its ({\itx},{\ity},{\itz}) dimensions ({\itX},{\itY},{\itZ}).'};
str1(17)={'Defining distances from a measurement point ({\itx}_0,{\ity}_0,{\itz}_0)'};
str1(18)={'to various corners of the brick as {\itx}_1={\itx}_0 -{\itX}/2, {\itx}_2={\itx}_0 +{\itX}/2,'};
str1(19)={'{\ity}_1={\ity}_0 -{\itY}/2, {\ity}_2={\ity}_0 +{\itY}/2, {\itz}_1={\itz}_0 -{\itZ}/2, and {\itz}_1={\itz}_0 +{\itZ}/2, the'};
str1(20)={'anomalous gravitational acceleration is given by'};
str1(21)={'  '};
str1(22)={'{\itg_z} = G \Delta\rho \Sigma_{{\iti} =1,2}\Sigma_{{\itj} =1,2}\Sigma_{{\itk} =1,2}(-1)^{{\iti}+{\itj}+{\itk}-1}[{\itf}_1+{\itf}_2+{\itf}_3];'};
str1(23)={'   '};
str1(24)={'where {\itf}_1 = {\itx_i} log({\ity_j}+{\itr}_{{\itijk}} ) / ({\itx_i}^2+{\itz_k}^2),'};
str1(25)={'   '};
str1(26)={'{\itf}_2 = {\ity_j} log({\itx_i}+{\itr}_{{\itijk}} ) / ({\ity_j}^2+{\itz_k}^2), {\itf}_3 = {\itz_k} tan^{-1}({\itz_k}{\itr}_{\itijk} / ({\itx_i} {\ity_j} )),'};
str1(27)={'   '};
str1(28)={'and {\itr}_{{\itijk}} = [{\itx_i}^2+{\ity_j}^2+{\itz_k}^2]^{1/2}.'};
hf0=axes('Position',[0.2 .5 .6 .2]);
set(hf0,'Visible','off');
cla
text(.02,0,str1);