newplot;
v=[];
h=[];
EditHandle_v1 = findobj('Tag','c1');
v1 = get(EditHandle_v1,'string');
v(1)=sscanf(v1,'%f');
v(1)=v(1)/1000.;
EditHandle_h1 = findobj('Tag','h1');
h1 = get(EditHandle_h1,'string');
h(1)=sscanf(h1,'%f');
EditHandle_v2 = findobj('Tag','c2');
v2 = get(EditHandle_v2,'string');
v(2)=sscanf(v2,'%f');
v(2)=v(2)/1000.;
if nlayer > 2
   EditHandle_v3 = findobj('Tag','c3');
	v3 = get(EditHandle_v3,'string');
   v(3)=sscanf(v3,'%f');
   v(3)=v(3)/1000.;
	EditHandle_h2 = findobj('Tag','h2');
	h2 = get(EditHandle_h2,'string');
   h(2)=sscanf(h2,'%f');
end
if nlayer > 3
   EditHandle_v4 = findobj('Tag','c4');
	v4 = get(EditHandle_v4,'string');
   v(4)=sscanf(v4,'%f');
   v(4)=v(4)/1000.;
	EditHandle_h3 = findobj('Tag','h3');
	h3 = get(EditHandle_h3,'string');
   h(3)=sscanf(h3,'%f');
end
EditHandle_xoff = findobj('Tag','xoff');
xoff = get(EditHandle_xoff,'string');
xoff=sscanf(xoff,'%f');
EditHandle_delx = findobj('Tag','delphone');
delx = get(EditHandle_delx,'string');
delx=sscanf(delx,'%f');
EditHandle_delt = findobj('Tag','delt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','nt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_nr = findobj('Tag','nphone');
nr = get(EditHandle_nr,'string');
nr=sscanf(nr,'%f');
EditHandle_filenm = findobj('Tag','rfrctfile');
filenm = get(EditHandle_filenm,'string');

nnlayer=1;
iflag=0;
xcrit(1)=0.;
tp(1)=0.;
for ilayer=2:nlayer

  nnlayer=nnlayer+1;
  sum1=0.;
  sum2=0.;
   for i=1:ilayer-1
   sum1=sum1+2.0*h(i)*v(i)/sqrt((v(ilayer)^2)-(v(i)^2));
   sum2=sum2+2.0*h(i)*sqrt((v(ilayer)^2)-(v(i)^2))/v(i);
   end
  xcrit(ilayer)=sum1;
  tp(ilayer)=sum2/v(ilayer);
end 

nnt=log(nt)/log(2);
nn=round(nnt);
ndif=nnt-nn;
 if ndif > 0
 nn=nn+1;
 end
nt1=2^nn;
nt2=2*nt1;
n2p1=nt1+1;
n4=nt2/4;
nrange=n4+2;

g=[];
for i = 1:nr
 g(i) = abs(-xoff + delx*(i-1));
 gi(i)=i;
end
x=[];
for i = 1:nt
  x(i) = delt*(i-1);
end
for i=1:nt2
  flp(i) = 0.4323 + 0.5*cos(pi*abs(i-n2p1)/nrange) + 0.07677*cos(2*pi*abs(i-n2p1)/nrange);
  if i < n2p1-nrange flp(i) = 0;
  end
  if i > n2p1+nrange flp(i) = 0;
  end
end
for j = 1:nr
 for ilayer=1:nnlayer
 tarrl(ilayer)=(g(j)/v(ilayer))+tp(ilayer);
 end
 for i=1:nt
 tarr=delt*(i-1);
 y(j,i)=0.;
  for ilayer=1:nnlayer
   if g(j) >= xcrit(ilayer)
    if tarr >= tarrl(ilayer)
     if tarr < tarrl(ilayer)+delt
     y(j,i)=1.;
       if ilayer > 1
        if v(ilayer) < v(ilayer-1)
        y(j,i)=0.;
        end
       else
       end
     end
    end
   end
  end
 end
    for i = 1:nt2
     if i <= nt
     yyyj(i) = y(j,i);
     else
     yyyj(i)=0;
     end
    end
   yyyj = fft(yyyj);
   yyyj = fftshift(yyyj);
    for i = 1:nt2
    yyyj(i) = yyyj(i)*flp(i);
    end
   yyyj = ifft(yyyj);
    for i = 1:nt
     y(j,i) = 5.*real(yyyj(i));
       if i == nt
       y(j,i)=0.;
       end
    end
end


for j = 1:nr
 for i = 1:nt
  y(j,i) = y(j,i) + j;
 end
end
hold on
for j = 1:nr
 for i = 1:nt
  ij=nt*(j-1)+i;
  yij(ij)=y(j,i);
  yj(i) = y(j,i);
 end
 
 
 fill(x,yj,'k')
 plot(x,yj,'k')
end
hold off;
xlabel('Time (millisec)');
ylabel('Geophone no.');
imag=1;
fid=fopen(filenm,'w');
fprintf(fid,'%3.f %3.f %3.f %6.2f %6.2f %6.2e\n', imag,nr,nt,xoff,delx,delt);
for j=1:nr
 for i=1:nt
yyy=y(j,i)-j;
fprintf(fid,'%6.2f\n',yyy);
end
end
status=fclose(fid);

