if istart_hf0 == 1
   delete(hf0)
end
if istart_hf1 == 1
   delete(hf1)
end
if istart_hf2 == 1
   delete(hf2)
end
istart_hf0=0;
istart_hf1=0;
istart_hf2=0;
istart_hf0=1;
clear str1 str2
str1(1)={'             {\bfELECTROMAGNETIC INDUCTION SIMULATIONS}'};
str1(2)={'   '};
str1(3)={'   Simulations are performed for a conducting sphere characterized by a radius'};
str1(4)={'{\ita}, electrical conductivity  \sigma, and magnetic permeability \mu.'};
str1(5)={' Two types of simulations are performed and these are:'};
str1(6)={'\bullet spectrum of the induced dipole moment'};
str1(7)={'\bullet spatial distribution of the induced field for a co-located  transmitter-receiver.'};
str1(8)={'   The induced dipole moment, {\itm} for a sphere is computed using only the first'};
str1(9)={'term of a series solution for a unit magnetic field strength and is given by'};
str1(10)={'  '};
str1(11)={'{\itm}(\omega)= -2\pi{\ita}^3{\itM}_{\itnum}/{\itM}_{\itdnom},'}; 
str1(12)={'  '}; 
str1(13)={'where'}; 
str1(14)={'   '};
str1(15)={'{\itM}_{\itnum} = [\mu_0(1+{\itk}^2{\ita}^2)+2\mu]sinh({\itka})-(2\mu-\mu_0){\itka} cosh({\itka}),'};
str1(16)={' '};
str1(17)={'{\itM}_{\itdnom} = [\mu_0(1+{\itk}^2{\ita}^2)-\mu]sinh({\itka})+(\mu-\mu_0){\itka} cosh({\itka}),'};
str1(18)={'   '};
str1(19)={'\mu_0 is the free-space magnetic permeability, and {\itk}=[{\iti}\omega\mu\sigma]^{1/2}. {\itm} is'};
str1(20)={'complex with the real and imaginary parts referred to as {\itin-phase} and'};
str1(21)={'{\itquadrature}, respectively. {\itm}(\omega) is computed for a user-defined spectral band.'};
str1(22)={'   The spatial distribution for the vertical component of the induced field'};
str1(23)={'{\itH} is computed on a horizontal plane for a unit vertical dipole source using'};
str1(24)={''};
str1(25)={'{\itH}({\bf\itr}) = 4{\itm}(\omega_0)/{\itr}^{ 6},'};
str1(26)={'   '};
str1(27)={'where {\itH} is complex with real (in-phase) and imaginary (quadrature) parts,'}; 
str1(28)={'{\itr} is the magnitude of {\bf\itr}, and \omega_0 is a user-specified frequency. The above'};
str1(29)={'equation assumes the object is in the near-field of the transmitter-receiver'};
str1(30)={'pair and, as such, phase shifts associated with propagation are ignored.'};
hf0=axes('Position',[0.2 .5 .6 .2]);
set(hf0,'Visible','off');
cla
text(.02,.05,str1);