EditHandle_xl = findobj('Tag','gprxl');
xl = get(EditHandle_xl,'string');
xl=sscanf(xl,'%f');
EditHandle_nx = findobj('Tag','gprnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f');
EditHandle_delt = findobj('Tag','gprdelt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','gprnt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_wt = findobj('Tag','gprwt');
wt = get(EditHandle_wt,'string');
wt=sscanf(wt,'%f');
EditHandle_wb = findobj('Tag','gprwb');
wb = get(EditHandle_wb,'string');
wb=sscanf(wb,'%f');
EditHandle_dt = findobj('Tag','gprdt');
dt = get(EditHandle_dt,'string');
dt=sscanf(dt,'%f');
EditHandle_db = findobj('Tag','gprdb');
db = get(EditHandle_db,'string');
db=sscanf(db,'%f');
delx=xl/(nx-1);
c0=0.12;
if isoil == 1
   c0=.08;
end
thetamax=pi/2.;
dela=0.15;
if ifreq == 1
   thetamax=pi/3;
   dela=0.3;
end
if ifreq == 0
   thetamax=pi/4;
   dela=1.;
end
tau0=dela/c0;
deltt=delt/1000;
m=(zf-zl)/xl;
xl2=xl/2;
wt2=wt/2;
wb2=wb/2;
x1s=xl2-wt2;
z1s=-dt;
x1e=xl2-wb2;
z1e=-db;
x2s=xl2+wb2;
z2s=-db;
x2e=xl2+wt2;
z2e=-dt;
m1=(z1s-z1e)/(x1s-x1e);
xxx1s=m1*z1s+x1s;
xxx1e=m1*z1e+x1e;
xx1s=xxx1s;
xx1e=xxx1e;
if xxx1s > xxx1e
   xx1s=xxx1e;
   xx1e=xxx1s;
end
m2=-m1;
xxx2s=m2*z2s+x2s;
xxx2e=m2*z2e+x2e;
xx2s=xxx2s;
xx2e=xxx2e;
if xxx2s > xxx2e
   xx2s=xxx2e;
   xx2e=xxx2s;
end
taut=2*dt/c0;
taub=2*db/c0;
ctest=(db-dt)*(wt-wb);
f=[];
for ix=1:nx
   x=delx*(ix-1);
   ff=[];
   for it=1:nt
      t=deltt*(it-1);
      ff(it)=0;
      if t >= tau0
         if t < tau0+deltt
            ff(it)=ff(it)+(1./dela);
         end
      end
      if x > x1s & x < x2e;
      else
         if t >= taut
         	if t < taut+deltt
            	fac=1./(2*dt);
            	ff(it)=ff(it)+50*fac;
         	end
      	end
      end
      if x > x1e & x < x2s;
      	if t >= taub
         	if t < taub+deltt
            	fac=1./(2*db);
            	ff(it)=ff(it)+50*fac;
         	end
         end
      end
         if x > xx1s & x < xx1e
            x0=(x+m1*m1*x1s-m1*z1s)/(1+m1*m1);
            z0=-(x0-x)/m1;
            xmx0=x-x0;
            l1=sqrt(xmx0^2+z0^2);
            tau1=2*l1/c0;
            theta=atan(xmx0/z0);
            texp=(theta/thetamax)^2;
        		if t >= tau1
         		if t < tau1+deltt
                  fac=exp(-texp)/(2*l1);
                  %fac=1./(2*l1);
            		ff(it)=ff(it)+50*fac;
         		end
         	end
         end
         if x > xx2s & x < xx2e
            x0=(x+m2*m2*x2s-m2*z2s)/(1+m2*m2);
            z0=-(x0-x)/m2;
            xmx0=x-x0;
            l2=sqrt(xmx0^2+z0^2);
            tau2=2*l2/c0;
            theta=atan(xmx0/z0);
            texp=(theta/thetamax)^2;
        		if t >= tau2
         		if t < tau2+deltt
                  fac=exp(-texp)/(2*l2);
            		ff(it)=ff(it)+50*fac;
         		end
         	end
         end
   end   
   for it=1:nt
      f(ix,it)=ff(it);
   end
end

      
   





