c0=.12;
if ispeed == 1
   c0=.08;
end
tmax=nt*deltt;
zmax=c0*tmax/2;
nz=32;
zmin=.1;
delz=(zmax-zmin)/(nz-1);
nnx=log(nx)/log(2);
nn=round(nnx);
ndif=nnx-nn;
if ndif > 0
	nn=nn+1;
end
nx1=2^nn;
nnt=log(nt)/log(2);
nn=round(nnt);
ndif=nnt-nn;
if ndif > 0
	nn=nn+1;
end
nt1=2^nn;
nt2=nt1/2;
ugprt=[];
utilde=[];
for i=1:nx
   f=[];
   ft=[];
   for j=1:nt1
      f(j)=0;
      if j <= nt
         f(j)=ugpr(i,j);
      end
   end
      ft=ifft(f);
      for j=1:nt2
         ugprt(i,j)=ft(j);
      end
end
for j=1:nt2   
   f=[];
   ft=[];
   for i=1:nx1
      f(i)=0;
      if i <= nx
         f(i)=ugprt(i,j);
      end
   end
      ft=fftshift(fft(f));
      for i=1:nx1
         utilde(i,j)=ft(i);
      end
end 
nk=nt2;
delmu=2*pi/(nx1*delx);
mumax1=delmu*((nx1/2)-1);
delk=2*pi/(nt1*deltt*c0);
%compute the product of the fourier transform of
% object function and the jacobian
Otilde=[];
for j=1:nk
k=delk*(j-1);
k2=k*k;
 for i=1:nx1
 	mu=delmu*(i-1-(nx1/2));
 	mu2=mu*mu;
   gamma2=4*k2-mu2;
   mumax=mumax1;
   if gamma2 < 0
      mumax=2*k;
   end  
 	Otilde(i,j)=0;
   if gamma2 > 0 
      gamma=sqrt(gamma2);
      b1=pi*mu/(mumax);
      b2=2*b1;
      wf=0.4232+0.5*cos(b1)+0.0768*cos(b2);
  		Otilde(i,j)=wf*utilde(i,j)*exp(sqrt(-1)*pi/4)/sqrt(gamma);
   end
 end
end

%invert two-dimensional fourier transform of O
o=[];
for ix=1:nx
	for iy=1:nz
 		o(iy,ix)=0;
	end
end
for iy=1:nz
    y(iy)=-zmin-delz*(iy-1);
    for ik=1:nk
 	 	k=delk*(ik-1);
 		k2=k*k;
 		uu=[];
 		uut=[];
  		for imu=1:nx1
  			mu=delmu*(imu-1-(nx1/2));
  			mu2=mu*mu;
  			gamma2=4*k2-mu2;
  			uu(imu)=0;
  			uur(imu)=0;
   		if gamma2 >= 0
   			gamma=sqrt(gamma2);
   			uu(imu)=sqrt(abs(y(iy)))*Otilde(imu,ik)*exp(sqrt(-1)*(gamma)*y(iy));
   		end
  		end
  		uut=(ifft(fftshift(uu)));
  		for ix=1:nx
  			o(iy,ix)=o(iy,ix)+real(100*uut(ix)/(4*pi*pi));
  		end
 	end
end

%o=fliplr(o);
x=[];
for i=1:nx
    x(i)=delx*(i-1);
end
 clear ugprt utilde f ft otilde
