EditHandle_magfile = findobj(gcbf,'Tag','magfile');
filenm = get(EditHandle_magfile,'string');
fid=fopen(filenm);
iflag=0;
if fid == -1
   iflag=1;
   magfile3;
end
if iflag == 0
   parm=[];
   parm=fscanf(fid,'%g',6);
   if parm(1) == -1
      newplot;
      imag_get=1;
      it=parm(2);
      nx=parm(3);
      ny=parm(4);
      delx=parm(5);
      dely=parm(6);
      magij=fscanf(fid,'%g');
      for i=1:nx
         x(i)=delx*(i-1);
         for j=1:ny
            ij=ny*(i-1)+j;
            delb(j,i)=magij(ij);
         end
      end
      for j=1:ny
         y(j)=dely*(j-1);
      end
      fclose(fid);
      pcolor(x,y,delb),axis('xy')
		xlabel('East (m)');
		ylabel('North (m)');
		colormap(jet)
		colorbar
		hold on
		contour(x,y,delb,20,'k')
      hold off
   else
      magfile4;
   end
end



