EditHandle_xl1 = findobj('Tag','magxl');
xl = get(EditHandle_xl1,'string');
xl=sscanf(xl,'%f');
EditHandle_yl = findobj('Tag','magyl');
yl = get(EditHandle_yl,'string');
yl=sscanf(yl,'%f');
EditHandle_mx0 = findobj('Tag','magx0');
x0 = get(EditHandle_mx0,'string');
x0=sscanf(x0,'%f');
EditHandle_my0 = findobj('Tag','magy0');
y0 = get(EditHandle_my0,'string');
y0=sscanf(y0,'%f');
EditHandle_mz0 = findobj('Tag','magz0');
z0 = get(EditHandle_mz0,'string');
z0=sscanf(z0,'%f');
EditHandle_nx = findobj('Tag','magnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f');
EditHandle_ny = findobj('Tag','magny');
ny = get(EditHandle_ny,'string');
ny=sscanf(ny,'%f');
EditHandle_mx = findobj('Tag','magmx');
mx = get(EditHandle_mx,'string');
mx=sscanf(mx,'%f');
EditHandle_my = findobj('Tag','magmy');
my = get(EditHandle_my,'string');
my=sscanf(my,'%f');
EditHandle_mz = findobj('Tag','magmz');
mz = get(EditHandle_mz,'string');
mz=sscanf(mz,'%f');
EditHandle_bx = findobj('Tag','magBx');
b0x = get(EditHandle_bx,'string');
b0x=sscanf(b0x,'%f');
EditHandle_by = findobj('Tag','magBy');
b0y = get(EditHandle_by,'string');
b0y=sscanf(b0y,'%f');
EditHandle_bz = findobj('Tag','magBz');
b0z = get(EditHandle_bz,'string');
b0z=sscanf(b0z,'%f');
EditHandle_mhd = findobj('Tag','maghd');
delh = get(EditHandle_mhd,'string');
delh=sscanf(delh,'%f');
EditHandle_magfile = findobj('Tag','magfile');
filenm = get(EditHandle_magfile,'string');

delx=xl/(nx-1);
dely=yl/(ny-1);

scale=1;
delh=delh*scale;
delh2=delh/2;
x=[];
y=[];
delb=[];
for i=1:nx
x(i)=delx*(i-1);
end
for j=1:ny
y(j)=dely*(j-1);
end
z=abs(z0)*scale;
for i=1:nx
xi=(x(i)-x0)*scale;
 for j=1:ny
 yj=(y(j)-y0)*scale;
 if itype == 0
 delb(j,i)=magfield(xi,yj,z,b0x,b0y,b0z,mx,my,mz);
 end
 if itype == 1
 delb(j,i)=magfield(xi,yj,z,b0x,b0y,b0z,mx,my,mz)-magfield(xi,yj,z+delh,b0x,b0y,b0z,mx,my,mz);
 end
 if itype == 2
 delb(j,i)=magfield(xi,yj-delh2,z,b0x,b0y,b0z,mx,my,mz)-magfield(xi,yj+delh2,z,b0x,b0y,b0z,mx,my,mz);
 end
 if itype == 3
 delb(j,i)=magfield(xi+delh2,yj,z,b0x,b0y,b0z,mx,my,mz)-magfield(xi-delh2,yj,z,b0x,b0y,b0z,mx,my,mz);
 end
 end
end
pcolor(x,y,delb),axis('xy')
xlabel('East (m)');
ylabel('North (m)');

colormap(jet)
colorbar
hold on
contour(x,y,delb,20,'k')
hold off

imag=-1;
fid=fopen(filenm,'w');
fprintf(fid,'%3.f %3.f %3.f %3.f %6.2f %6.2f\n', imag,itype,nx,ny,delx,dely)
for i=1:nx
 for j=1:ny
 delbb=delb(j,i);
 fprintf(fid,'%8.3e\n',delbb);
 end
end
iok=0;








