newplot;
EditHandle_v1 = findobj('Tag','c0');
v1 = get(EditHandle_v1,'string');
v1=sscanf(v1,'%f');
EditHandle_nshots = findobj('Tag','nshots');
nshots = get(EditHandle_nshots,'string');
nshots=sscanf(nshots,'%f');
EditHandle_delxs = findobj('Tag','delshot');
delxs = get(EditHandle_delxs,'string');
delxs=sscanf(delxs,'%f');
EditHandle_h1 = findobj('Tag','depth1');
h1 = get(EditHandle_h1,'string');
h1=sscanf(h1,'%f');
EditHandle_h2 = findobj('Tag','depth2');
h2 = get(EditHandle_h2,'string');
h2=sscanf(h2,'%f');
EditHandle_xoff = findobj('Tag','shotoff');
xoff = get(EditHandle_xoff,'string');
xoff=sscanf(xoff,'%f');
EditHandle_delx = findobj('Tag','delphone');
delx = get(EditHandle_delx,'string');
delx=sscanf(delx,'%f');
EditHandle_delt = findobj('Tag','delt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','nt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_nr = findobj('Tag','nphones');
nr = get(EditHandle_nr,'string');
nr=sscanf(nr,'%f');
g=[];
xx0=0;
gmax=delx*(nr-1);
delg=delx;
if xoff < 0
   xx0=xoff;
   gmax=gmax-xx0;
   delg=gmax/(nr-1);
end

for i = 1:nr
g(i)=xx0+delg*(i-1);
end

dmax=1.5*h1;
if h2 > h1
dmax=1.5*h2;
end
d=[];
deld=dmax/39.;
for j=1:40
d(j)=deld*(j-1);
end
slope=(h2-h1)/g(nr);
speed=[];
for i=1:nr
 for j=1:40 
 speed(j,i)=v1;
  if d(j) > h1+slope*g(i)
  speed(j,i)=1.5*v1; 
  end
 end
end

hhd=pcolor(g,d,speed),axis('ij');
colormap(cool);
set(hhd,'edgecolor','none');
colorbar;
xlabel('Geophone location');
ylabel('Depth');
