cax=newplot
EditHandle_v1 = findobj('Tag','c0');
v1 = get(EditHandle_v1,'string');
v1=sscanf(v1,'%f');
EditHandle_nshots = findobj('Tag','nshots');
nshots = get(EditHandle_nshots,'string');
nshots=sscanf(nshots,'%f');
EditHandle_delxs = findobj('Tag','delshot');
delxs = get(EditHandle_delxs,'string');
delxs=sscanf(delxs,'%f');
EditHandle_h1 = findobj('Tag','depth1');
h1 = get(EditHandle_h1,'string');
h1=sscanf(h1,'%f');
EditHandle_h2 = findobj('Tag','depth2');
h2 = get(EditHandle_h2,'string');
h2=sscanf(h2,'%f');
EditHandle_xoff = findobj('Tag','shotoff');
xoff = get(EditHandle_xoff,'string');
xoff=sscanf(xoff,'%f');
EditHandle_delx = findobj('Tag','delphone');
delx = get(EditHandle_delx,'string');
delx=sscanf(delx,'%f');
EditHandle_delt = findobj('Tag','delt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','nt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_nr = findobj('Tag','nphones');
nr = get(EditHandle_nr,'string');
nr=sscanf(nr,'%f');
EditHandle_filenm = findobj('Tag','rflctfile');
filenm = get(EditHandle_filenm,'string');

EditHandle_shotno = findobj('Tag','shotno');
EditHandle_plot = findobj('Tag','seisplot');
v1=v1/1000.;
nnt=log(nt)/log(2);
nn=round(nnt);
ndif=nnt-nn;
if ndif > 0
nn=nn+1;
end
nt1=2^nn;
nt2=2*nt1;
n2p1=nt1+1;
n4=nt2/4;
nrange=n4+2;

g=[];
for i = 1:nr
 g(i) = delx*(i-1);
 gi(i)=i;
end
x=[];
for i = 1:nt
  x(i) = delt*(i-1);
end
for i=1:nt2
  flp(i) = 0.4323 + 0.5*cos(pi*abs(i-n2p1)/nrange) + 0.07677*cos(2*pi*abs(i-n2p1)/nrange);
  if i < n2p1-nrange flp(i) = 0;
  end
  if i > n2p1+nrange flp(i) = 0;
  end
end

slope=(h1-h2)/g(nr);
beta=atan(slope);

xs=[];
for i=1:nshots
xs(i)=xoff+delxs*(i-1);
end
y=[];
for ishot=1:nshots
hs=h1-slope*xs(ishot);
hj=hs*cos(beta);
 for j = 1:nr
 jshot=nr*(ishot-1)+j;
 xsg=(g(j)-xs(ishot));
 tarrd=abs(xsg)/v1;
 tarrr=sqrt((4*(hj^2))+(xsg^2)-(4*hj*xsg*sin(beta)))/v1;
  for i=1:nt
  tarr=delt*(i-1);
  y(jshot,i)=0.;
   if tarr >= tarrd
    if tarr < tarrd+delt
    y(jshot,i)=1.;
    end
   end
   if tarr >= tarrr
    if tarr < tarrr+delt
    y(jshot,i)=1.;
    end
   end
  end
    yyyj=[];
    for i = 1:nt2
     if i <= nt
     yyyj(i) = y(jshot,i);
     else
     yyyj(i)=0;
     end
    end
   yyyj = fft(yyyj);
   yyyj = fftshift(yyyj);
    for i = 1:nt2
    yyyj(i) = yyyj(i)*flp(i);
    end
   yyyj = ifft(yyyj);
    for i = 1:nt
     y(jshot,i) = 5.*real(yyyj(i));
       if i == nt
       y(jshot,i)=0.;
       end
       if i == 1
       y(jshot,i)=0.;
       end
    end
 end
end

for ishot=1:nshots
 for j = 1:nr
 jshot=nr*(ishot-1)+j;
  for i = 1:nt
  y(jshot,i) = y(jshot,i) + j;
  end
 end
end
for ishot=1:nshots
    hold off

for j = 1:nr
 hold on
 jshot=nr*(ishot-1)+j;
 yj=[];
  for i = 1:nt
  yj(i) = y(jshot,i);
  end
 
 
 fill(x,yj,'k')
 plot(x,yj,'k')
 end
xlabel('Time (millisec)');
ylabel('Geophone no.');
sishot=num2str(ishot);
hold off
set(EditHandle_shotno,'string',sishot);
  if ishot < nshots
   pause(2);
   newplot
  end
end
imag=2;
fid=fopen(filenm,'w');
fprintf(fid,'%3.f %3.f %3.f %3.f %3.f %6.2f %6.2f %6.2e\n', imag,nshots,delxs,nr,nt,xoff,delx,delt);
for ishot=1:nshots
 for j=1:nr
 jshot=nr*(ishot-1)+j;
  for i=1:nt
  yyy=y(jshot,i)-j; 
  fprintf(fid,'%6.2f\n',yyy);
  end
 end
end
status=fclose(fid);
clear all
      
