newplot;
v=[];
EditHandle_v1 = findobj('Tag','dipc1');
v1 = get(EditHandle_v1,'string');
v(1)=sscanf(v1,'%f');
v(1)=v(1)/1000.;
EditHandle_h1 = findobj('Tag','diph1');
hgs = get(EditHandle_h1,'string');
hgs=sscanf(hgs,'%f');

EditHandle_v2 = findobj('Tag','dipc2');
v2 = get(EditHandle_v2,'string');
v(2)=sscanf(v2,'%f');
v(2)=v(2)/1000.;
EditHandle_h2 = findobj('Tag','diph2');
hge = get(EditHandle_h2,'string');
hge=sscanf(hge,'%f');

EditHandle_xoff = findobj('Tag','xoff');
xoff = get(EditHandle_xoff,'string');
xoff=sscanf(xoff,'%f');
EditHandle_delx = findobj('Tag','delphone');
delx = get(EditHandle_delx,'string');
delx=sscanf(delx,'%f');
EditHandle_delt = findobj('Tag','delt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','nt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_nr = findobj('Tag','nphone');
nr = get(EditHandle_nr,'string');
nr=sscanf(nr,'%f');
EditHandle_filenm = findobj('Tag','rfrctfile');
filenm = get(EditHandle_filenm,'string');
slope=(hgs-hge)/(delx*(nr-1));
hs=hgs-slope*xoff;

beta=atan(slope);
xcrit(1)=2*hs*cos(beta)*((v(1)*cos(beta)/sqrt((v(2)^2)-(v(1)^2)))+sin(beta));
theta=asin(v(1)/v(2));

nnt=log(nt)/log(2);
nn=round(nnt);
ndif=nnt-nn;
 if ndif > 0
 nn=nn+1;
 end
nt1=2^nn;
nt2=2*nt1;
n2p1=nt1+1;
n4=nt2/4;
nrange=n4+2;

g=[];
for i = 1:nr
   g(i) = abs(-xoff + delx*(i-1));
   gi(i)=i;
end
x=[];
for i = 1:nt
  x(i) = delt*(i-1);
end
for i=1:nt2
  flp(i) = 0.4323 + 0.5*cos(pi*abs(i-n2p1)/nrange) + 0.07677*cos(2*pi*abs(i-n2p1)/nrange);
  if i < n2p1-nrange flp(i) = 0;
  end
  if i > n2p1+nrange flp(i) = 0;
  end
end

for j=1:nr
tarrl(1)=g(j)/v(1);
tarrl(2)=(2*hs*cos(beta)+g(j)*sin(theta-beta))/v(1);
 for i=1:nt
 tarr=delt*(i-1);
 y(j,i)=0.;
  if tarr >= tarrl(1)
   if tarr < tarrl(1)+delt
   y(j,i)=1;
   end
  end
  if v(2) > v(1) 
   if g(j) >= xcrit(1)
    if tarr >= tarrl(2)
     if tarr < tarrl(2)+delt
     y(j,i)=1.;
     end
    end
   end
  end
 end
    for i = 1:nt2
     if i <= nt
     yyyj(i) = y(j,i);
     else
     yyyj(i)=0;
     end
    end
   yyyj = fft(yyyj);
   yyyj = fftshift(yyyj);
    for i = 1:nt2
    yyyj(i) = yyyj(i)*flp(i);
    end
   yyyj = ifft(yyyj);
    for i = 1:nt
     y(j,i) = 5.*real(yyyj(i));
       if i == nt
       y(j,i)=0.;
       end
    end
end


for j = 1:nr
 for i = 1:nt
  y(j,i) = y(j,i) + j;
 end
end
hold on
for j = 1:nr
yj=[];
 for i = 1:nt
  ij=nt*(j-1)+i;
  yij(ij)=y(j,i);
  yj(i) = y(j,i);
 end
 
 
 fill(x,yj,'k')
 plot(x,yj,'k')
end
hold off;
xlabel('Time (millisec)');
ylabel('Geophone no.');
imag=1;
fid=fopen(filenm,'w');
fprintf(fid,'%3.f %3.f %3.f %6.2f %6.2f %6.2e\n', imag,nr,nt,xoff,delx,delt);
for j=1:nr
 for i=1:nt
yyy=y(j,i)-j;
fprintf(fid,'%6.2f\n',yyy);
end
end
status=fclose(fid)