EditHandle_emfile = findobj(gcbf,'Tag','emfile');
filenm = get(EditHandle_emfile,'string');
fid=fopen(filenm);
parm=[];
iflag=0;
istart=0;
if fid == -1
   iflag=1;
   emfile3;
end
if iflag == 0
   if istart0 == 1
      delete(hhh1);
      delete(hhh2);
      delete(hhh3);
   end
   istart0=1;
   parm=fscanf(fid,'%g',9);
   if parm(1) == -4
      magij=[];
      delbr=[];
      delbi=[];
      mmr=[];
      mmi=[];
      imag_get=1;
      nx=parm(2);
      ny=parm(3);
      delx=parm(4);
      dely=parm(5);
      nw=parm(6);
      wmin=parm(7);
      delw=parm(8);
      wxy=parm(9);
      w=[];
      for i=1:nw
         w(i)=wmin+delw*(i-1);
      end
      magij=fscanf(fid,'%g');
      for i=1:nx
         x(i)=delx*(i-1);
         for j=1:ny
            ij=ny*(i-1)+j;
            delbr(j,i)=magij(ij);
            delbi(j,i)=magij(nx*ny+ij);
         end
      end
      for i=1:nw
         mmr(i)=magij(2*nx*ny+i);
         mmi(i)=magij(2*nx*ny+nw+1);
      end
      for j=1:ny
         y(j)=dely*(j-1);
      end
      fclose(fid);
      xmin=x(1);
      xmax=x(nx);
      ymin=y(1);
      ymax=y(ny);
      hhh1=axes('Position',[0.1 .5 .2 .2]);
      cla
      p1=pcolor(x,y,delbr),axis('xy');
		xlabel('East (m)');
		ylabel('North (m)');
      colormap(jet)
      set(p1,'edgecolor','none');
      colorbar
      text(30.,45.,['Spatial plots at ',num2str(wxy),' kHz']);
      hhh2=axes('Position',[.45 .5 .2 .2]);
      cla
      p2=pcolor(x,y,delbi),axis('xy')
		xlabel('East (m)');
   	colormap(jet)
      set(p2,'edgecolor','none');
      colorbar
      hhh3=axes('Position',[.1 .1 .55 .2]);
      cla
      semilogx(w,mmr,'r-');
      xlabel('frequency (kHz)');
      hold on
      semilogx(w,mmi,'b--');
      title('Spectrum: solid--in-phase, dashed--quadrature');
      hold off
   else
      emfile4;
   end
end



