function fig = gphys_info()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load gphys_info

h0 = figure('Color',[0.9 0.9 0.9], ...
	'Colormap',mat0, ...
	'FileName','C:\MATLABR11\work\gphys_info.m', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[92 45 804 527], ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 0.5 1], ...
	'ListboxTop',0, ...
	'Position',[11.625 4.5 96 51], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 0.5 1], ...
	'ListboxTop',0, ...
	'Position',[12 58.5 95.25 51.75], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 0.5 1], ...
	'ListboxTop',0, ...
	'Position',[12 111.75 95.25 55.5], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 0.5 1], ...
	'ListboxTop',0, ...
	'Position',[11.625 169.5 96 50.25], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 0.5 1], ...
	'ListboxTop',0, ...
	'Position',[12.375 221.25 94.5 50.25], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 0.5 1], ...
	'ListboxTop',0, ...
	'Position',[12.375 273 94.5 117], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[24 376.5 71.25 12], ...
	'String','SEISMIC', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[24 258 71.25 11.25], ...
	'String','RADAR', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[14.25 206.25 90.75 11.25], ...
	'String','MAGNETOMETRY', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[20.25 153 78.75 11.25], ...
	'String','EM INDUCTION', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[29.25 96 60.75 12.75], ...
	'String','GRAVITY', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[19.875 41.25 79.5 12], ...
	'String','RESISTIVITY', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 0], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[24 362.25 71.25 11.25], ...
	'String','Refraction', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 0], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[24 312.75 71.25 11.25], ...
	'String','Reflection', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','rfrctsim_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 345 45 15], ...
	'String','simulation', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','gprprocess_info;', ...
	'ListboxTop',0, ...
	'Position',[19.5 224.25 83.25 15], ...
	'String','processing and display', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','gprsim_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 240 45 15], ...
	'String','simulation', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','magprocess_info;', ...
	'ListboxTop',0, ...
	'Position',[18 172.5 83.25 15.75], ...
	'String','processing and display', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback',' magsim_info;   ', ...
	'ListboxTop',0, ...
	'Position',[37.125 190.5 45 13.5], ...
	'String','simulation', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','emdisplay_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 117.75 45 15], ...
	'String','display', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback',' emsim_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 135 45 15], ...
	'String','simulation', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','gravsim_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 79.5 45 15], ...
	'String','simulation', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','resistdisplay_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 8.25 45 15], ...
	'String','display', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','resistsim_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 24.75 45 15], ...
	'String','simulation', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','close;', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[491.25 9.75 45 23.25], ...
	'String','Close', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','gravprocess_info;', ...
	'ListboxTop',0, ...
	'Position',[18 62.25 83.25 15.75], ...
	'String','processing and display', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','rfrctprocess_info;', ...
	'ListboxTop',0, ...
	'Position',[18 325.5 83.25 15.75], ...
	'String','processing and display', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','rflctprocess_info;', ...
	'ListboxTop',0, ...
	'Position',[18 277.5 83.25 15.75], ...
	'String','processing and display', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','rflctsim_info;', ...
	'ListboxTop',0, ...
	'Position',[37.125 295.5 45 15], ...
	'String','simulation', ...
	'Tag','Pushbutton1');
if nargout > 0, fig = h0; end
