EditHandle_xl = findobj('Tag','gprxl');
xl = get(EditHandle_xl,'string');
xl=sscanf(xl,'%f');
EditHandle_nx = findobj('Tag','gprnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f');
EditHandle_delt = findobj('Tag','gprdelt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','gprnt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_dt = findobj('Tag','gprdt');
dt = get(EditHandle_dt,'string');
dt=sscanf(dt,'%f');
deltt=delt/1000;
delx=xl/(nx-1);
c0=0.12;
if isoil == 1
   c0=.08;
end
speed=[];
for i=1:nx
   for j=1:nt
      speed(j,i)=c0;
   end
end
if itarg == 0
   EditHandle_x0 = findobj('Tag','gprx0');
	x0 = get(EditHandle_x0,'string');
	x0=sscanf(x0,'%f');
	EditHandle_z0 = findobj('Tag','gprz0');
	z0 = get(EditHandle_z0,'string');
	z0=sscanf(z0,'%f');
	EditHandle_a = findobj('Tag','gpra');
	a = get(EditHandle_a,'string');
   a=sscanf(a,'%f');
   for i=1:nx
      x=delx*(i-1);
      xmx02=(x-x0)^2;
      for j=1:nt
         y=-c0*deltt*(j-1)/2;
         zmz02=(y+z0)^2;
         if xmx02+zmz02 <= a^2
            speed(j,i)=1.5*c0;
         end
      end
   end
end
if itarg == 1
   EditHandle_zf = findobj('Tag','gprzf');
	zf = get(EditHandle_zf,'string');
	zf=sscanf(zf,'%f');
	EditHandle_zl = findobj('Tag','gprzl');
	zl = get(EditHandle_zl,'string');
   zl=sscanf(zl,'%f');
   m=(zf-zl)/xl;
   for i=1:nx
      x=delx*(i-1);
      for j=1:nt
         y=-c0*deltt*(j-1)/2;
         yslp=m*x-zf;
         if y < yslp
            speed(j,i)=1.5*c0;
         end
      end
   end
end




if itarg == 2   
	EditHandle_wt = findobj('Tag','gprwt');
	wt = get(EditHandle_wt,'string');
	wt=sscanf(wt,'%f');
	EditHandle_wb = findobj('Tag','gprwb');
	wb = get(EditHandle_wb,'string');
	wb=sscanf(wb,'%f');
	EditHandle_db = findobj('Tag','gprdb');
	db = get(EditHandle_db,'string');
	db=sscanf(db,'%f');
	xl2=xl/2;
	wt2=wt/2;
	wb2=wb/2;
	x1s=xl2-wt2;
	z1s=-dt;
	x1e=xl2-wb2;
	z1e=-db;
	x2s=xl2+wb2;
	z2s=-db;
	x2e=xl2+wt2;
	z2e=-dt;
   m1=(z1s-z1e)/(x1s-x1e);
   for i=1:nx
      x=delx*(i-1);
      for j=1:nt
         y=-c0*deltt*(j-1)/2;
   		if db >= dt
            if wt >= wb
               if x <= x1s & y < z1s;
                  speed(j,i)=1.5*c0;
               end
               if x >= x2e & y < z2e;
                  speed(j,i)=1.5*c0;
               end
               if x >= x1e & x <= x2s & y < z2s;
                  speed(j,i)=1.5*c0;
               end
               if x > x1s & x < x1e;
                  yslp=m1*(x-x1s)+z1s;
                  if y < yslp
                     speed(j,i)=1.5*c0;
                  end
               end
               if x > x2s & x < x2e;
                  yslp=-m1*(x-x2s)+z2s;
                  if y < yslp
                     speed(j,i)=1.5*c0;
                  end
               end
            end
            if wt < wb
               if x <= x1e & y < z1s;
                  speed(j,i)=1.5*c0;
               end
               if x >= x2s & y < z2e;
                  speed(j,i)=1.5*c0;
               end
               if x >= x1e & x <= x2s & y < z1e;
                  speed(j,i)=1.5*c0;
               end
               if x > x1e & x < x1s;
                  yslp=m1*(x-x1s)+z1s;
                  if y < z1s & y > yslp;
                     speed(j,i)=1.5*c0;
                  end
               end
               if x > x2e & x < x2s;
                  yslp=-m1*(x-x2s)+z2s;
                  if y < z2e & y > yslp;
                     speed(j,i)=1.5*c0;
                  end
               end
            end
         end
         if db < dt
            if wt >= wb
               if x <= x1s & y < z1s;
                  speed(j,i)=1.5*c0;
               end
               if x >= x2e & y < z2e;
                  speed(j,i)=1.5*c0;
               end
               if x >= x1e & x <= x2s & y < z1e;
                  speed(j,i)=1.5*c0;
               end
               if x > x1s & x < x1e;
                  yslp=m1*(x-x1s)+z1s;
                  if y < yslp
                     speed(j,i)=1.5*c0;
                  end
               end
               if x > x2s & x < x2e;
                  yslp=-m1*(x-x2s)+z2s;
                  if y < yslp
                     speed(j,i)=1.5*c0;
                  end
               end
            end
            if wt < wb
               if x <= x1e & y < z1s;
                  speed(j,i)=1.5*c0;
               end
               if x >= x2s & y < z2e;
                  speed(j,i)=1.5*c0;
               end
               if x >= x1s & x <= x2e & y < z2s;
                  speed(j,i)=1.5*c0;
               end
               if x > x1e & x < x1s;
                  yslp=m1*(x-x1s)+z1s;
                  if y > yslp & y < z1e;
                     speed(j,i)=1.5*c0;
                  end
                  if y < z1s
                     speed(j,i)=1.5*c0;
                  end
               end
               if x > x2e & x < x2s;
                  yslp=-m1*(x-x2s)+z2s;
                  if y > yslp & y < z2s;
                     speed(j,i)=1.5*c0;
                  end
                  if y < z2e
                     speed(j,i)=1.5*c0;
                  end
               end
            end
         end
      end
   end
end
d=[];
g=[];
for j=1:nt
   d(j)=c0*deltt*(j-1)/2;
end
for i=1:nx
   g(i)=delx*(i-1);
end
p1=pcolor(g,d,speed),axis('ij');
colormap(cool);
set(p1,'edgecolor','none');
xlabel('measurement location (m)');
ylabel('depth (m)');

      
         

