EditHandle_xl = findobj('Tag','gprxl');
xl = get(EditHandle_xl,'string');
xl=sscanf(xl,'%f');
EditHandle_nx = findobj('Tag','gprnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f');
EditHandle_delt = findobj('Tag','gprdelt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','gprnt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_x0 = findobj('Tag','gprx0');
x0 = get(EditHandle_x0,'string');
x0=sscanf(x0,'%f');
EditHandle_z0 = findobj('Tag','gprz0');
z0 = get(EditHandle_z0,'string');
z0=sscanf(z0,'%f');
EditHandle_a = findobj('Tag','gpra');
a = get(EditHandle_a,'string');
a=sscanf(a,'%f');
delx=xl/(nx-1);
c0=0.12;
if isoil == 1
   c0=.08;
end
thetamax=pi/2.;
dela=0.15;
if ifreq == 1
   thetamax=pi/3;
   dela=0.3;
end
if ifreq == 0
   thetamax=pi/4;
   dela=1.;
end
tau0=dela/c0;
deltt=delt/1000;
f=[];
for ix=1:nx
   x=delx*(ix-1);
   xx=abs(x-x0);
   theta=atan(xx/z0);
   texp=(theta/(thetamax))^2;
   l1=sqrt(xx^2+z0^2)-a;
   l2=l1+2*a;
   tau1=2*l1/c0;
   tau2=2*l2/c0;
   ff=[];
   for it=1:nt
      t=deltt*(it-1);
      ff(it)=0;
      if t >= tau0
         if t < tau0+deltt
            ff(it)=ff(it)+(1./dela);
         end
      end
      if t >= tau1
         if t < tau1+deltt
            fac=exp(-texp)/(2*l1);
            ff(it)=ff(it)+50*fac;
         end
      end
      if t >= tau2
         if t < tau2+deltt
            fac=exp(-texp)/(2*l2);
            ff(it)=ff(it)+50*fac;         
         end
      end
   end
   for it=1:nt
      f(ix,it)=ff(it);
   end
end

      
   





