EditHandle_xl = findobj('Tag','gprxl');
xl = get(EditHandle_xl,'string');
xl=sscanf(xl,'%f');
EditHandle_nx = findobj('Tag','gprnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f');
EditHandle_delt = findobj('Tag','gprdelt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','gprnt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
EditHandle_zf = findobj('Tag','gprzf');
zf = get(EditHandle_zf,'string');
zf=sscanf(zf,'%f');
EditHandle_zl = findobj('Tag','gprzl');
zl = get(EditHandle_zl,'string');
zl=sscanf(zl,'%f');
delx=xl/(nx-1);
c0=0.12;
if isoil == 1
   c0=.08;
end
thetamax=pi/2.;
dela=0.15;
if ifreq == 1
   thetamax=pi/3;
   dela=0.3;
end
if ifreq == 0
   thetamax=pi/4;
   dela=1.;
end
tau0=dela/c0;
deltt=delt/1000;
m=(zf-zl)/xl;
f=[];
for ix=1:nx
   x=delx*(ix-1);
   x0=(x+m*zf)/(1+m*m);
   xmx0=x-x0;
   z0=m*x0-zf;
   theta=atan(xmx0/z0);
   texp=(theta/thetamax)^2;
   l1=sqrt(xmx0^2+z0^2);
   tau1=2*l1/c0;
   ff=[];
   for it=1:nt
      t=deltt*(it-1);
      ff(it)=0;
      if t >= tau0
         if t < tau0+deltt
            ff(it)=ff(it)+(1./dela);
         end
      end
      if t >= tau1
         if t < tau1+deltt
            fac=exp(-texp)/(2*l1);
            ff(it)=ff(it)+50*fac;
         end
      end
   end
   for it=1:nt
      f(ix,it)=ff(it);
   end
end

      
   





